package com.yd.dal.mapper.marketing;

import com.yd.dal.entity.marketing.MktLeadsExpertAssign;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MktLeadsExpertAssignMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MktLeadsExpertAssign record);

    int insertSelective(MktLeadsExpertAssign record);

    MktLeadsExpertAssign selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktLeadsExpertAssign record);

    int updateByPrimaryKey(MktLeadsExpertAssign record);

    int updateBatch(List<MktLeadsExpertAssign> list);

    int updateBatchSelective(List<MktLeadsExpertAssign> list);

    int batchInsert(@Param("list") List<MktLeadsExpertAssign> list);

    MktLeadsExpertAssign selectByLeadsExpertRequestId(Long mktLeadsExpertRequestId);
}